Package Details: mongoclient 2.2.0-1

Git Clone URL: https://aur.archlinux.org/mongoclient.git (read-only, click to copy)
Package Base: mongoclient
Description: MongoDB administration client
Upstream URL: https://www.nosqlclient.com/
Licenses: MIT
Submitter: jon
Maintainer: jon
Last Packager: jon
Votes: 4
Popularity: 0.000000
First Submitted: 2016-07-01 00:09
Last Updated: 2017-08-30 15:25

Latest Comments

davidbernal commented on 2020-10-15 06:43

Doesn't work

ArchBoxHero commented on 2020-07-05 00:10

Hey I can't seem to get this to run. I get

Nosqlclient:119676): Pango-ERROR **: 18:52:43.665: Harfbuzz version too old (1.4.2)

I have have the latest harfbuzz installed?

Name            : harfbuzz
Version         : 2.6.8-2
Description     : OpenType text shaping engine
Architecture    : x86_64
URL             : https://www.freedesktop.org/wiki/Software/HarfBuzz
Licenses        : MIT
Groups          : None
Provides        : libharfbuzz.so=0-64  libharfbuzz-subset.so=0-64  libharfbuzz-gobject.so=0-64
Depends On      : glib2  freetype2  graphite  libglib-2.0.so=0-64  libfreetype.so=6-64  libgobject-2.0.so=0-64
Optional Deps   : cairo: hb-view program [installed]
Required By     : chromium  emacs-git  freetype2  harfbuzz-icu  lib32-harfbuzz  libass  pango-git  vlc
Optional For    : lv2
Conflicts With  : None
Replaces        : None
Installed Size  : 4.31 MiB
Packager        : Jan Alexander Steffens (heftig) <heftig@archlinux.org>
Build Date      : Thu 02 Jul 2020 11:43:30 AM CDT
Install Date    : Sat 04 Jul 2020 07:04:44 PM CDT
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature

Any ideas or leads on what's up here?

julian_michael commented on 2019-02-19 15:13

unzip is a required dependency and is missing atm

rpodgorny commented on 2018-10-16 21:00

hi, this is a binary package and should be suffixed with -bin as per arch linux naming best practices. also, the mainstream decided to rename the program to nosqlclient and the package name should follow. thank you...

jon commented on 2017-07-28 20:18

mrunion: Let me know if this still occurs with 2.1.0. If so, I'll update the PKGBUILD to replace the mongod binary to resolve this as suggested by the maintainer.

mrunion commented on 2017-02-12 12:45

I still get the error message about OPENSSL_1.0.0 not defined.

And:

The new checksum for linux-portable-x64.zip is:
3a35d3be9046f62bdd281efa5b2e88047cff16ef83aad8aee3e79c49b6164a0e

The PKGBUILD tries to look in /pkg/mongoclient/opt/linux-portable-x64 when building, but now the source is extracted to /pkg/mongoclient/opt/Mongoclient-linux-x64. The PKGBUILD will have to be edit before this can be built/installed.

jon commented on 2017-02-05 14:35

mrunion and erxyl: The 1.5.0 release should fix this.

mrunion commented on 2017-02-03 13:24

I get the same thing as erxyi commented below. I have not begun to investigate this further yet. I did find something similar, but it was talking about using --fork: https://bugs.archlinux.org/task/50302

My small brain suspects that since the libcrypt.so.11 lib is included in the install folder, it should be used by Mongoclient. However, running ldd on Mongoclient says it's using the arch-provided libcrypt.so.20.

I don't have time right now, but maybe forcing Mongoclient to use the libcrypt.so.11 lib would work?

nenad commented on 2017-01-06 15:03

This is the new sha256 for the `head_3.png`: ac81ed24e411748e0ef12b39213ef41c8a734827eea349877f9938a0c44c3a2f

erxyi commented on 2016-12-20 20:58

"/opt/mongoclient/resources/app/bin/mongod: relocation error: /opt/mongoclient/resources/app/bin/mongod: symbol SSLv3_client_method, version OPENSSL_1.0.0 not defined in file libssl.so.1.0.0 with link time reference"